<?php

/**
 * Typography
 *
 * @package Macro News
 */

$wp_customize->add_section(
	'macro_news_typography',
	array(
		'panel' => 'macro_news_theme_options',
		'title' => esc_html__( 'Typography', 'macro-news' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'macro_news_site_title_font',
	array(
		'default'           => 'Mukta',
		'sanitize_callback' => 'macro_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'macro_news_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'macro-news' ),
		'section'  => 'macro_news_typography',
		'settings' => 'macro_news_site_title_font',
		'type'     => 'select',
		'choices'  => macro_news_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'macro_news_site_description_font',
	array(
		'default'           => 'Inter',
		'sanitize_callback' => 'macro_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'macro_news_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'macro-news' ),
		'section'  => 'macro_news_typography',
		'settings' => 'macro_news_site_description_font',
		'type'     => 'select',
		'choices'  => macro_news_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'macro_news_header_font',
	array(
		'default'           => 'Inter',
		'sanitize_callback' => 'macro_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'macro_news_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'macro-news' ),
		'section'  => 'macro_news_typography',
		'settings' => 'macro_news_header_font',
		'type'     => 'select',
		'choices'  => macro_news_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'macro_news_body_font',
	array(
		'default'           => 'Inter',
		'sanitize_callback' => 'macro_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'macro_news_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'macro-news' ),
		'section'  => 'macro_news_typography',
		'settings' => 'macro_news_body_font',
		'type'     => 'select',
		'choices'  => macro_news_get_all_google_font_families(),
	)
);
